# eoBitMutation< Chrom > Class Template Reference
[Bitstring]

eoBitMutation --> classical mutation More...

`#include <ga/eoBitOp.h>`

Inheritance diagram for eoBitMutation< Chrom >:

List of all members.

## Public Member Functions

| eoBitMutation (const double &_rate=0.01, bool _normalize=false)
| (Default) Constructor.
virtual std::string | className () const
| The class name.
bool | operator() (Chrom &chrom)
| Mutate a chromosome.

## Private Attributes

double | rate
bool | normalize

## Detailed Description

### template<class Chrom>
class eoBitMutation< Chrom >

eoBitMutation --> classical mutation

Definition at line 104 of file eoBitOp.h.

## Constructor & Destructor Documentation

template<class Chrom>
eoBitMutation< Chrom >::eoBitMutation | ( | const double & | _rate = `0.01`,
|  | bool | _normalize = `false`
| ) | `[inline]`

(Default) Constructor.

Parameters:

  | _rate | Rate of mutation.

Definition at line 111 of file eoBitOp.h.

## Member Function Documentation

template<class Chrom>
bool eoBitMutation< Chrom >::operator() | ( | Chrom & | chrom | ) | `[inline, virtual]`

Mutate a chromosome.

Parameters:

  | chrom | The chromosome to be mutated.

Implements eoUF< Chrom &, bool >.

Definition at line 121 of file eoBitOp.h.

The documentation for this class was generated from the following file:

- eoBitOp.h